part of masamune.flutter;

class _ContextMap {
  static Map<BuildContext, _UIWidgetState> _data = MapPool.get();
  static void register( BuildContext context, _UIWidgetState state ){
    if( context == null || state == null || _data.containsKey(context) ) return;
    _data[context] = state;
  }
  static void unregister( _UIWidgetState state ){
    if( state == null ) return;
    _data.removeWhere( ( key, value ) => value == state );
  }
  static _UIWidgetState get( BuildContext context ){
    if( context == null || !_data.containsKey(context) ) return null;
    return _data[context];
  }
}