part of masamune.flutter;

/// Page route to perform slide animation
class SlidePageRoute extends PageRouteBuilder {
  /// Page route to perform slide animation
  /// 
  /// [child]: Child widget
  /// [data]: Document to pass to next page
  /// [fromPath]: 
  SlidePageRoute({Widget child, IDataDocument document, String documentPath, String pageDataPath = DefaultPath.pageData}) : super(
    settings: RouteSettings( arguments: document ?? PathMap.get( documentPath ) ),
    pageBuilder: ( context, animation, secondaryAnimation ) {
      if( isEmpty( pageDataPath ) ) return child;
      if( document == null && isNotEmpty(documentPath) ) document = PathMap.get( documentPath );
      if( document != null ) document.linkTo( pageDataPath );
      return child;
    },
    transitionsBuilder: ( context,  animation,  secondaryAnimation,  child ) {
      return SlideTransition(
        position: Tween<Offset>(
          begin: const Offset(1, 0),
          end: Offset.zero,
        ).animate(animation),
        child: child
      );
    },
  );
}