part of masamune.flutter;

/// Abstract class for creating pages
/// It is inherited and used by the class that displays the page.
/// Scaffold is built in by default, and the provided method is overridden and used.
/// Normally, please override body
/// 
/// Please inherit and use
abstract class UIPage extends UIWidget {

  /// Abstract class for creating pages
  UIPage() : super( child: null );
  /// Creating a body
  /// 
  /// [context]: Build context
  @protected
  Widget body( BuildContext context ){
    return null;
  }
  /// Callback for building
  /// Override and use
  /// 
  /// [context]: Build context
  @override
  Widget build( BuildContext context ){
    return this.body(context);
  }
}