part of masamune.flutter;

/// Class of widget including listening function equivalent to UIValue
/// Inherit and use to create a widget with pass-list functionality
/// Please use StatelessWidget below this
/// In that case, the value can be obtained instantly by using [value.text()] or [value.get())].
class UIPanel extends UIWidget {
  /// Class of widget including listening function equivalent to UIValue
  /// Inherit and use to create a widget with pass-list functionality
  /// Please use StatelessWidget below this
  /// In that case, the value can be obtained instantly by using [value.text()] or [value.get())].
  /// 
  /// [load]: Callback for widget loading
  /// [unload]: Callback for Widget unloading
  /// [child]: Callback when creating a widget
  /// [pause]: Callback for Application paused
  /// [unpause]: Callback for Application unpaused
  /// [quit]: Callback for Application quit
  UIPanel(
    {
      PathEvent load,
      PathEvent unload,
      PathEvent pause, 
      PathEvent unpause, 
      PathEvent quit, 
      @required WidgetBuilder child
    }
  ) : super(
    load: load,
    unload: unload,
    pause: pause,
    unpause: unpause,
    quit: quit,
    child: child
  );

}